import time
import datetime
import schedule

from utils.config_helper import ConfigHelper
from utils.logger_helper import LoggerHelper
from jobs.job_runner import JobRunner

logger = LoggerHelper.get_logger()
config =  ConfigHelper()
DEFAULT_USER_SLEEP_INTERVAL = 10  # 配置默认时间间隔10秒
logger.info("应用程序启动...")

job = JobRunner()
job.run_job()

interval = config.get_int("job.sleep_interval",DEFAULT_USER_SLEEP_INTERVAL)

if __name__ == '__main__':
    while True:
        schedule.run_pending()
        now = datetime.datetime.now()
        time.sleep(interval)
        # 重新加载配置及任务
        if now.minute == 0 and now.second <= interval:
            job_id = config.get("job.event_id")
            config.load_config()
            interval = config.get_int("job.sleep_interval", DEFAULT_USER_SLEEP_INTERVAL)
            if job_id != config.get("job.event_id"):
                job.restart_job()

